include $(top_srcdir)/common.make

bin_PROGRAMS = streamtuner

public_headers =					\
	st-action-api.h					\
	st-category-api.h				\
	st-dialog-api.h					\
	st-handler-api.h				\
	st-handler-field-api.h				\
	st-handlers-api.h				\
	st-m3u-api.h					\
	st-pls-api.h					\
	st-plugin-api.h					\
	st-programs-api.h				\
	st-re-api.h					\
	st-settings-api.h				\
	st-sgml-ref-api.h				\
	st-state-api.h					\
	st-stream-api.h					\
	st-transfer-api.h				\
	st-util-api.h					\
	st-version-api.h				\
	streamtuner.h

streamtuner_SOURCES =					\
	$(public_headers)				\
	st-about-dialog.c				\
	st-about-dialog.h				\
	st-action.c					\
	st-action.h					\
	st-applications-preferences-page.c		\
	st-applications-preferences-page.h		\
	st-bookmarks.c					\
	st-bookmarks.h					\
	st-browser-tab-label.c				\
	st-browser-tab-label.h				\
	st-browser-tab.c				\
	st-browser-tab.h				\
	st-cache.c					\
	st-cache.h					\
	st-category-bag.c				\
	st-category-bag.h				\
	st-category-store.c				\
	st-category-store.h				\
	st-category-view.c				\
	st-category-view.h				\
	st-category.c					\
	st-config-load.c				\
	st-config-load.h				\
	st-config-save.c				\
	st-config-save.h				\
	st-dialog.c					\
	st-entities.h					\
	st-general-preferences-page.c			\
	st-general-preferences-page.h			\
	st-handler-field.c				\
	st-handler-field.h				\
	st-handler.c					\
	st-handler.h					\
	st-handlers.c					\
	st-handlers.h					\
	st-link.c					\
	st-link.h					\
	st-m3u.c					\
	st-main.c					\
	st-main.h					\
	st-network-preferences-page.c			\
	st-network-preferences-page.h			\
	st-oldcache-load.c				\
	st-oldcache-load.h				\
	st-pls.c					\
	st-plugin.c					\
	st-plugin.h					\
	st-plugins-preferences-page.c			\
	st-plugins-preferences-page.h			\
	st-plugins.c					\
	st-plugins.h					\
	st-preferences-dialog.c				\
	st-preferences-dialog.h				\
	st-preferences-page.c				\
	st-preferences-page.h				\
	st-preferences.c				\
	st-preferences.h				\
	st-preselections.c				\
	st-preselections.h				\
	st-programs.c					\
	st-re.c						\
	st-search-dialog.c				\
	st-search-dialog.h				\
	st-session.c					\
	st-session.h					\
	st-settings.c					\
	st-settings.h					\
	st-sgml-ref.c					\
	st-shell.c					\
	st-shell.h					\
	st-splash.c					\
	st-splash.h					\
	st-state.c					\
	st-statusbar.c					\
	st-statusbar.h					\
	st-stock.c					\
	st-stock.h					\
	st-stream-bag.c					\
	st-stream-bag.h					\
	st-stream-columns-dialog.c			\
	st-stream-columns-dialog.h			\
	st-stream-menu-items.c				\
	st-stream-menu-items.h				\
	st-stream-properties-dialog.c			\
	st-stream-properties-dialog.h			\
	st-stream-store.c				\
	st-stream-store.h				\
	st-stream-view.c				\
	st-stream-view.h				\
	st-stream.c					\
	st-thread.c					\
	st-thread.h					\
	st-transfer.c					\
	st-transfer.h					\
	st-util.c					\
	st-util.h					\
	st-version.c

streamtuner_LDFLAGS = $(INTLLIBS) $(GTK_LIBS) $(GTHREAD_LIBS) $(GMODULE_LIBS) $(CURL_LIBS)
streamtuner_LDADD = \
	$(top_srcdir)/src/sglib/libsglib.la \
	$(top_srcdir)/src/sgtk/libsgtk.la

AM_CPPFLAGS = \
	$(WARN_CFLAGS) \
	$(GTK_CFLAGS) $(GTHREAD_CFLAGS) $(GMODULE_CFLAGS) $(CURL_CFLAGS) \
	-DBASEDOCDIR="\"$(basedocdir)\"" \
	-DPLUGINSDIR="\"$(pluginsdir)\"" \
	-DUIDIR="\"$(uidir)\"" \
	-I$(top_srcdir)/src/sglib \
	-I$(top_srcdir)/src/sgtk

pkginclude_HEADERS = $(public_headers)

entity_sets = xhtml-lat1.ent xhtml-special.ent xhtml-symbol.ent

EXTRA_DIST = ent2h.sh $(entity_sets)
MOSTLYCLEANFILES = st-entities.h

st-sgml-ref.c: st-entities.h
st-entities.h: ent2h.sh $(entity_sets)
	$(SHELL) ent2h.sh $(entity_sets) > $@
